Package com.oracle.truffle.api.utilities

## Class JSONHelper

- java.lang.Object
- - com.oracle.truffle.api.utilities.JSONHelper

    public class JSONHelper
    extends java.lang.Object

Helper function that allows to dump the AST during creation to a JSON format.

### Nested Class Summary

Nested Classes
`static class` `JSONHelper.JSONArrayBuilder`
`static class` `JSONHelper.JSONObjectBuilder`
`static class` `JSONHelper.JSONStringBuilder`

### Constructor Summary

Constructors
`JSONHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static JSONHelper.JSONArrayBuilder` `array()`
`static void` `dumpNewChild​(Node parentNode, Node childNode)`
`static void` `dumpNewNode​(Node newNode)`
`static void` `dumpReplaceChild​(Node oldNode, Node newNode, java.lang.CharSequence reason)`
`static java.lang.String` `getResult()`
`static JSONHelper.JSONObjectBuilder` `object()`
`static void` `restart()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JSONHelper

    public JSONHelper()

### Method Detail

#### dumpNewChild

    public static void dumpNewChild​(Node parentNode,
                                    Node childNode)

#### dumpReplaceChild

    public static void dumpReplaceChild​(Node oldNode,
                                        Node newNode,
                                        java.lang.CharSequence reason)

#### dumpNewNode

    public static void dumpNewNode​(Node newNode)

#### getResult

    public static java.lang.String getResult()

#### restart

    public static void restart()

#### object

    public static JSONHelper.JSONObjectBuilder object()

#### array

    public static JSONHelper.JSONArrayBuilder array()